package jdeprscan2;

import java.sql.*;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.apache.derby.iapi.reference.ClassName;

public class R007 {

    private static final String baza = "C:\\jtools1\\thirddb";
    private static final String properties = "create=true";
    private static final String createTable = "CREATE TABLE thirdtable "
            + "(id INT PRIMARY KEY,    name VARCHAR (30))";
    private static final String insertData = "INSERT INTO thirdtable "
            + "VALUES(1, 'Mirka'),(2, 'Ula'),(3, 'Jacek')";
    private static final String selectData1 = "SELECT * FROM thirdtable";
    private static final String selectData2 = "SELECT * FROM thirdtable "
            + "WHERE id=2";

    public static void main(String[] args) {
        DerbyUtil.startDerbyEngine(DerbyUtil.embdriver);
        Connection conn = DerbyUtil.connectEmbeddedDB(baza, properties);
        Statement stat1 = null;
        Statement stat2 = null;
        Statement stat3 = null;
        Statement stat4 = null;
        ResultSet rs1 = null;
        ResultSet rs2 = null;
        try {
            stat1 = conn.createStatement();
            stat1.execute(createTable);
        } catch (SQLException e) {
            Logger.getLogger(ClassName.class.getName()).log(Level.SEVERE, null, e);
        }
        try {
            stat2 = conn.createStatement();
            stat2.execute(insertData);
        } catch (SQLException e) {
            Logger.getLogger(ClassName.class.getName()).log(Level.SEVERE, null, e);
        }
        try {
            stat3 = conn.createStatement();
            rs1 = stat3.executeQuery(selectData1);
            while (rs1.next()) {
                System.out.println(rs1.getInt(1) + " | " + rs1.getString(2));
            }
        } catch (SQLException e) {
            Logger.getLogger(ClassName.class.getName()).log(Level.SEVERE, null, e);
        }
        try {
            stat4 = conn.createStatement();
            rs2 = stat4.executeQuery(selectData2);
            while (rs2.next()) {
                System.out.println(rs2.getInt(1) + " | " + rs2.getString(2));
            }
        } catch (SQLException e) {
            Logger.getLogger(ClassName.class.getName()).log(Level.SEVERE, null, e);
        }
        DerbyUtil.close(rs1);
        DerbyUtil.close(rs2);
        DerbyUtil.close(stat1);
        DerbyUtil.close(stat2);
        DerbyUtil.close(stat3);
        DerbyUtil.close(stat4);
        DerbyUtil.close(conn);
        DerbyUtil.shutdownEmbeddedDB(baza);
        DerbyUtil.shutdownDerbyEngine();
    }
}
